PostgreSQL 9.5alpha1 Documentation
Prev | Up |  | Next

# ALTER POLICY

## Name

ALTER POLICY -- change the definition of a policy

## Synopsis

    ALTER POLICY name ON table_name
        [ RENAME TO new_name ]
        [ TO { role_name | PUBLIC | CURRENT_USER | SESSION_USER } [, ...] ]
        [ USING ( using_expression ) ]
        [ WITH CHECK ( check_expression ) ]

## Description

`ALTER POLICY` changes the `definition` of an existing policy.

To use `ALTER POLICY`, you must own the table that the policy applies to.

## Parameters

`name`

  The name of an existing policy to alter.

`table_name`

  The name (optionally schema-qualified) of the table that the policy is on.

`new_name`

  The new name for the policy.

`role_name`

  The role to which the policy applies. Multiple roles can be specified at one time. To apply the policy to all roles, use `PUBLIC`, which is also the default.

`using_expression`

  The USING expression for the policy. This expression will be added as a security-barrier qualification to queries which use the table automatically. If multiple policies are being applied for a given table then they are all combined and added using OR. The USING expression applies to records which are being retrieved from the table.

`check_expression`

  The with-check expression for the policy. This expression will be added as a WITH CHECK OPTION qualification to queries which use the table automatically. If multiple policies are being applied for a given table then they are all combined and added using OR. The WITH CHECK expression applies to records which are being added to the table.

## Compatibility

`ALTER POLICY` is a PostgreSQL extension.

## See Also

CREATE POLICY, DROP POLICY

Prev | Home | Next
ALTER OPERATOR FAMILY | Up | ALTER ROLE